package com.ruoyi.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 商户信息对象 t_merchant_user
 * 
 * @author liming
 * @date 2023-08-16
 */
@Data
@TableName("t_merchant_user")
public class MerchantUser implements Serializable {
    private static final long serialVersionUID = 1L;

    /** 商户id */
    @TableId( value = "id", type = IdType.AUTO)
    private Long id;

    /** 商户名称 */
    @Excel(name = "商户名称")
    private String name;

    /** 商户缩写 */
    @Excel(name = "商户缩写")
    private String merchantAbb;

    /** 商户标识码 */
    @Excel(name = "商户标识码")
    private String merchantCode;

    /** 联系人 */
    @Excel(name = "联系人")
    private String user;

    /** 手机号 */
    @Excel(name = "手机号")
    private String phone;

    /** 地址 */
    @Excel(name = "地址")
    private String address;

    /** 状态（0使用中 1未使用） */
    @Excel(name = "状态", readConverterExp = "0=使用中,1=未使用")
    private String status;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;


    /** 创建者 */
    private String createBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 更新者 */
    private String updateBy;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

}
